# Fluent UI - React Northstar ([docs](https://aka.ms/fluent-ui))

[![npm version](https://img.shields.io/npm/v/@fluentui/react-northstar?style=flat-square)](https://www.npmjs.com/package/@fluentui/react-northstar)

This is the home for `@fluentui/react-northstar` and related packages which were migrated from the [`microsoft/fluent-ui-react` repo][1].

**Status**

Fluent UI React Northstar has been superseded by Fluent UI React Components v9. For more details about migration to Fluent UI React Components v9, see [Migration documentation][5].

**Versioning**

> Since the `@fluentui/react-northstar` packages are on version 0.x, note that:
>
> 1.  **MINOR** versions represent **breaking changes**
> 1.  **PATCH** versions represent **fixes _and_ features**
> 1.  There are **no deprecation warnings** between releases
> 1.  Consult the [**CHANGELOG**][2] and related issues/PRs for more information

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Contributing](#contributing)
- [Issues](#issues)
- [Documentation and usage examples](#documentation-and-usage-examples)
- [FAQs](#faqs)
  - [What is the future of Fluent UI React Northstar?](#what-is-the-future-of-fluent-ui-react-northstar)
  - [How can we migrate to Fluent UI React Components v9?](#how-can-we-migrate-to-fluent-ui-react-components-v9)
  - [What's happening with Teams support?](#whats-happening-with-teams-support)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## Contributing

See [CONTRIBUTING.md](CONTRIBUTING.md) for a step-by-step setup and development guide specific to `@fluentui/react-northstar`.

## Issues

If you need to [file an issue][3], please note in the title or description that it refers to `@fluentui/react-northstar`.
List of [active issues][4]

## Documentation and usage examples

See the doc site at https://aka.ms/fluent-ui.

## FAQs

### What is the future of Fluent UI React Northstar?

The future of `@fluentui/react-northstar` is called `@fluentui/react-components`. It builds on top of many base principles that were present in Northstar, streamlines the API and brings significantly improved performance.

### How can we migrate to Fluent UI React Components v9?

Please see the [Migration documentation][5].

### What's happening with Teams support?

`@fluentui/react-northstar v0.x.x` (formerly `@fluentui/react v0.x.x`) has been the official set of components for Teams. This is still the case and no support is being dropped. New features will only be added to Fluent UI React Components v9.

[1]: https://github.com/microsoft/fluent-ui-react
[2]: https://github.com/microsoft/fluentui/blob/master/packages/fluentui/CHANGELOG.md
[3]: https://github.com/microsoft/fluentui/issues/new/choose
[4]: https://github.com/microsoft/fluentui/issues?q=is%3Aissue+is%3Aopen+label%3A%22Fluent+UI+react-northstar+%28v0%29%22
[5]: https://react.fluentui.dev/?path=/docs/concepts-migration-overview--page
