"use strict";

exports.__esModule = true;
exports.attachmentIconClassName = exports.AttachmentIcon = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Box = require("../Box/Box");
var attachmentIconClassName = 'ui-attachment__icon';

/**
 * An AttachmentIcon provides a slot for a glyph that describes content in the Attachment.
 */
exports.attachmentIconClassName = attachmentIconClassName;
var AttachmentIcon = (0, _reactBindings.compose)(_Box.Box, {
  className: attachmentIconClassName,
  displayName: 'AttachmentIcon',
  overrideStyles: true,
  shorthandConfig: {
    mappedProp: 'content'
  }
});
exports.AttachmentIcon = AttachmentIcon;
AttachmentIcon.defaultProps = {
  as: 'span'
};
AttachmentIcon.propTypes = _utils.commonPropTypes.createCommon();
//# sourceMappingURL=AttachmentIcon.js.map
