"use strict";

exports.__esModule = true;
exports.avatarStatusClassName = exports.AvatarStatus = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var customPropTypes = _interopRequireWildcard(require("@fluentui/react-proptypes"));
var PropTypes = _interopRequireWildcard(require("prop-types"));
var _accessibility = require("@fluentui/accessibility");
var _AvatarStatusIcon = require("./AvatarStatusIcon");
var _AvatarStatusImage = require("./AvatarStatusImage");
var _Status = require("../Status/Status");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// update in upcoming breaking change and enable a unit test
var avatarStatusClassName = _Status.statusClassName;

/**
 * A AvatarStatus provides a status for the Avatar.
 */
exports.avatarStatusClassName = avatarStatusClassName;
var AvatarStatus = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var context = (0, _reactBindings.useFluentContext)();
  var _useTelemetry = (0, _reactBindings.useTelemetry)(AvatarStatus.displayName, context.telemetry),
    setStart = _useTelemetry.setStart,
    setEnd = _useTelemetry.setEnd;
  setStart();
  var className = props.className,
    color = props.color,
    design = props.design,
    icon = props.icon,
    image = props.image,
    size = props.size,
    state = props.state,
    styles = props.styles,
    variables = props.variables;
  var _useStyles = (0, _reactBindings.useStyles)(AvatarStatus.displayName, {
      className: avatarStatusClassName,
      mapPropsToStyles: function mapPropsToStyles() {
        return {
          color: color,
          size: size,
          state: state
        };
      },
      mapPropsToInlineStyles: function mapPropsToInlineStyles() {
        return {
          className: className,
          design: design,
          styles: styles,
          variables: variables
        };
      },
      rtl: context.rtl
    }),
    classes = _useStyles.classes;
  var getA11Props = (0, _reactBindings.useAccessibility)(props.accessibility, {
    debugName: AvatarStatus.displayName,
    rtl: context.rtl
  });
  var ElementType = (0, _reactBindings.getElementType)(props);
  var unhandledProps = (0, _reactBindings.useUnhandledProps)(AvatarStatus.handledProps, props);
  var iconElement = (0, _utils.createShorthand)(_AvatarStatusIcon.AvatarStatusIcon, icon, {
    defaultProps: function defaultProps() {
      return {
        size: size,
        state: state
      };
    }
  });
  var imageElement = (0, _utils.createShorthand)(_AvatarStatusImage.AvatarStatusImage, image, {
    defaultProps: function defaultProps() {
      return getA11Props('image', {
        size: size
      });
    }
  });
  var element = /*#__PURE__*/React.createElement(ElementType, getA11Props('root', Object.assign({
    className: classes.root,
    ref: ref
  }, unhandledProps)), imageElement || iconElement);
  setEnd();
  return element;
});
exports.AvatarStatus = AvatarStatus;
AvatarStatus.displayName = 'AvatarStatus';
AvatarStatus.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon({
  children: false,
  content: false
}), {
  color: PropTypes.string,
  icon: customPropTypes.shorthandAllowingChildren,
  image: customPropTypes.itemShorthandWithoutJSX,
  size: customPropTypes.size,
  state: PropTypes.oneOf(['success', 'info', 'warning', 'error', 'unknown'])
});
AvatarStatus.handledProps = Object.keys(AvatarStatus.propTypes);
AvatarStatus.defaultProps = {
  accessibility: _accessibility.statusBehavior,
  as: 'span',
  size: 'medium',
  state: 'unknown'
};
AvatarStatus.create = (0, _utils.createShorthandFactory)({
  Component: AvatarStatus,
  mappedProp: 'state'
});
//# sourceMappingURL=AvatarStatus.js.map
