"use strict";

exports.__esModule = true;
exports.cardExpandableBoxClassName = exports.CardExpandableBox = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Box = require("../Box/Box");
var cardExpandableBoxClassName = 'ui-card__expandablebox';

/**
 * A CardExpandableBox is used to display data in which is partially hidden and shown on focus/hover.
 */
exports.cardExpandableBoxClassName = cardExpandableBoxClassName;
var CardExpandableBox = (0, _reactBindings.compose)(_Box.Box, {
  className: cardExpandableBoxClassName,
  displayName: 'CardExpandableBox',
  shorthandConfig: {
    mappedProp: 'content'
  }
});
exports.CardExpandableBox = CardExpandableBox;
CardExpandableBox.propTypes = _utils.commonPropTypes.createCommon();
//# sourceMappingURL=CardExpandableBox.js.map
