"use strict";

exports.__esModule = true;
exports.carouselPaddlesContainerClassName = exports.CarouselPaddlesContainer = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var carouselPaddlesContainerClassName = 'ui-carrouselpaddles_container';

/**
 * A CarouselPaddlesContainer is a container for the Carousel Paddles.
 */
exports.carouselPaddlesContainerClassName = carouselPaddlesContainerClassName;
var CarouselPaddlesContainer = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var context = (0, _reactBindings.useFluentContext)();
  var _useTelemetry = (0, _reactBindings.useTelemetry)(CarouselPaddlesContainer.displayName, context.telemetry),
    setStart = _useTelemetry.setStart,
    setEnd = _useTelemetry.setEnd;
  setStart();
  var className = props.className,
    children = props.children,
    design = props.design,
    styles = props.styles,
    variables = props.variables,
    content = props.content;
  var _useStyles = (0, _reactBindings.useStyles)(CarouselPaddlesContainer.displayName, {
      className: carouselPaddlesContainerClassName,
      mapPropsToInlineStyles: function mapPropsToInlineStyles() {
        return {
          className: className,
          design: design,
          styles: styles,
          variables: variables
        };
      },
      rtl: context.rtl
    }),
    classes = _useStyles.classes;
  var getA11Props = (0, _reactBindings.useAccessibility)(props.accessibility, {
    debugName: CarouselPaddlesContainer.displayName,
    rtl: context.rtl
  });
  var ElementType = (0, _reactBindings.getElementType)(props);
  var unhandledProps = (0, _reactBindings.useUnhandledProps)(CarouselPaddlesContainer.handledProps, props);
  var element = /*#__PURE__*/React.createElement(ElementType, getA11Props('root', Object.assign({
    className: classes.root,
    ref: ref
  }, unhandledProps)), (0, _utils.childrenExist)(children) ? children : content);
  setEnd();
  return element;
});
exports.CarouselPaddlesContainer = CarouselPaddlesContainer;
CarouselPaddlesContainer.displayName = 'CarouselPaddlesContainer';
CarouselPaddlesContainer.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon());
CarouselPaddlesContainer.handledProps = Object.keys(CarouselPaddlesContainer.propTypes);
CarouselPaddlesContainer.shorthandConfig = {
  mappedProp: 'content'
};
//# sourceMappingURL=CarouselPaddlesContainer.js.map
