"use strict";

exports.__esModule = true;
exports.chatMessageReadStatusClassName = exports.ChatMessageReadStatus = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var PropTypes = _interopRequireWildcard(require("prop-types"));
var _utils = require("../../utils");
var _Box = require("../Box/Box");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var chatMessageReadStatusClassName = "ui-chat__messagereadstatus";

/**
 * A ChatMessageReadStatus places a indicator to represent the read status of the message
 */
exports.chatMessageReadStatusClassName = chatMessageReadStatusClassName;
var ChatMessageReadStatus = (0, _reactBindings.compose)(_Box.Box, {
  className: chatMessageReadStatusClassName,
  displayName: 'ChatMessageReadStatus',
  handledProps: ['density'],
  mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
    var density = _ref.density,
      title = _ref.title;
    return {
      density: density,
      title: title
    };
  },
  overrideStyles: true,
  shorthandConfig: {
    mappedProp: 'content'
  }
});
exports.ChatMessageReadStatus = ChatMessageReadStatus;
ChatMessageReadStatus.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon(), {
  density: PropTypes.oneOf(['comfy', 'compact'])
});
//# sourceMappingURL=ChatMessageReadStatus.js.map
