"use strict";

exports.__esModule = true;
exports.useChatContextSelectors = exports.ChatContextProvider = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _chatDensity = require("./chatDensity");
var ChatContext = (0, _reactBindings.createContext)({
  density: _chatDensity.defaultChatDensity,
  behaviors: {
    item: undefined,
    message: undefined
  }
});
var ChatContextProvider = ChatContext.Provider;
exports.ChatContextProvider = ChatContextProvider;
var useChatContextSelectors = function useChatContextSelectors(selectors) {
  return (0, _reactBindings.useContextSelectors)(ChatContext, selectors);
};
exports.useChatContextSelectors = useChatContextSelectors;
//# sourceMappingURL=chatContext.js.map
