"use strict";

exports.__esModule = true;
exports.validateDate = void 0;
var _dateTimeUtilities = require("../../utils/date-time-utilities");
var validateDate = function validateDate(futureSelectedDate, futureFormattedDate, calendarOptions, dateFormatting, required) {
  if (futureSelectedDate && !isNaN(futureSelectedDate.getTime())) {
    if ((0, _dateTimeUtilities.isRestrictedDate)(futureSelectedDate, calendarOptions)) {
      return dateFormatting.isOutOfBoundsErrorMessage;
    }
  } else if (futureFormattedDate) {
    return dateFormatting.invalidInputErrorMessage;
  } else if (required && !futureSelectedDate) {
    return dateFormatting.isRequiredErrorMessage;
  }
  return '';
};
exports.validateDate = validateDate;
//# sourceMappingURL=validateDate.js.map
