"use strict";

exports.__esModule = true;
exports.formButtonClassName = exports.FormButton = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Button = require("../Button/Button");
var _formFieldBase = require("./utils/formFieldBase");
var formButtonClassName = 'ui-form__button';

/**
 * An FormButton renders a Button wrapped by FormField.
 */
exports.formButtonClassName = formButtonClassName;
var FormButton = (0, _reactBindings.compose)(_formFieldBase._FormFieldBase, {
  className: formButtonClassName,
  displayName: 'FormButton',
  overrideStyles: true,
  slots: {
    control: _Button.Button
  }
});
exports.FormButton = FormButton;
FormButton.propTypes = _utils.commonPropTypes.createCommon({
  content: false,
  // Should be `true`, but will be passed via unhandled props to a Button
  children: false
});
//# sourceMappingURL=FormButton.js.map
