"use strict";

exports.__esModule = true;
exports.formLabelClassName = exports.FormLabel = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Box = require("../Box/Box");
var formLabelClassName = 'ui-form__label';

/**
 * An FormLabel provides a slot for label in the FormField.
 */
exports.formLabelClassName = formLabelClassName;
var FormLabel = (0, _reactBindings.compose)(_Box.Box, {
  className: formLabelClassName,
  displayName: 'FormLabel',
  overrideStyles: true,
  mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
    var inline = _ref.inline,
      required = _ref.required;
    return {
      inline: inline,
      required: required
    };
  },
  handledProps: ['required', 'inline']
});
exports.FormLabel = FormLabel;
FormLabel.defaultProps = {
  as: 'label'
};
FormLabel.propTypes = _utils.commonPropTypes.createCommon();
//# sourceMappingURL=FormLabel.js.map
