"use strict";

exports.__esModule = true;
exports.formMessageClassName = exports.FormMessage = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Box = require("../Box/Box");
var formMessageClassName = 'ui-form__message';

/**
 * An FormMessage provides a slot for message in the FormField.
 */
exports.formMessageClassName = formMessageClassName;
var FormMessage = (0, _reactBindings.compose)(_Box.Box, {
  className: formMessageClassName,
  displayName: 'FormMessage',
  mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
    var error = _ref.error;
    return {
      error: error
    };
  },
  handledProps: ['error'],
  overrideStyles: true,
  shorthandConfig: {
    mappedProp: 'content'
  }
});
exports.FormMessage = FormMessage;
FormMessage.defaultProps = {
  as: 'span'
};
FormMessage.propTypes = _utils.commonPropTypes.createCommon();
//# sourceMappingURL=FormMessage.js.map
