"use strict";

exports.__esModule = true;
exports.formSliderClassName = exports.FormSlider = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _formFieldBase = require("./utils/formFieldBase");
var _Slider = require("../Slider/Slider");
var formSliderClassName = 'ui-form__slider';

/**
 * An FormSlider renders a Slider wrapped by FormField.
 */
exports.formSliderClassName = formSliderClassName;
var FormSlider = (0, _reactBindings.compose)(_formFieldBase._FormFieldBase, {
  className: formSliderClassName,
  displayName: 'FormSlider',
  overrideStyles: true,
  slots: {
    control: _Slider.Slider
  },
  slotProps: function slotProps(_ref) {
    var errorMessage = _ref.errorMessage;
    return {
      message: {
        error: !!errorMessage
      }
    };
  }
});
exports.FormSlider = FormSlider;
FormSlider.propTypes = _utils.commonPropTypes.createCommon({
  children: false,
  content: false
});
//# sourceMappingURL=FormSlider.js.map
