"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.PortalInner = void 0;
var _invoke2 = _interopRequireDefault(require("lodash/invoke"));
var _reactBindings = require("@fluentui/react-bindings");
var customPropTypes = _interopRequireWildcard(require("@fluentui/react-proptypes"));
var _reactPortalCompatContext = require("@fluentui/react-portal-compat-context");
var PropTypes = _interopRequireWildcard(require("prop-types"));
var React = _interopRequireWildcard(require("react"));
var ReactDOM = _interopRequireWildcard(require("react-dom"));
var _utils = require("../../utils");
var _portalContext = require("../Provider/portalContext");
var _usePortalBox = require("./usePortalBox");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore "react-portal-compat-context" uses v9 configs via path aliases

/**
 * A PortalInner is a container for Portal's content.
 */
var PortalInner = function PortalInner(props) {
  var children = props.children,
    mountNode = props.mountNode;
  var _React$useContext = React.useContext(_portalContext.PortalContext),
    className = _React$useContext.className;
  var _useFluentContext = (0, _reactBindings.useFluentContext)(),
    target = _useFluentContext.target,
    rtl = _useFluentContext.rtl;
  var registerPortalEl = (0, _reactPortalCompatContext.usePortalCompat)();
  var box = (0, _usePortalBox.usePortalBox)({
    className: className,
    target: target,
    rtl: rtl
  });
  // PortalInner should render elements even without a context
  // eslint-disable-next-line
  var container = (0, _utils.isBrowser)() ? mountNode || box || document.body : null;
  (0, _reactBindings.useIsomorphicLayoutEffect)(function () {
    return registerPortalEl(box);
  }, [box, registerPortalEl]);
  (0, _reactBindings.useIsomorphicLayoutEffect)(function () {
    (0, _invoke2.default)(props, 'onMount', props);
    return function () {
      return (0, _invoke2.default)(props, 'onUnmount', props);
    };
  }, []);
  return container && /*#__PURE__*/ReactDOM.createPortal(children, container);
};
exports.PortalInner = PortalInner;
PortalInner.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon({
  accessibility: false,
  as: false,
  className: false,
  content: false,
  styled: false
}), {
  mountNode: customPropTypes.domNode,
  onMount: PropTypes.func,
  onUnmount: PropTypes.func
});
//# sourceMappingURL=PortalInner.js.map
