"use strict";

exports.__esModule = true;
exports.skeletonAvatarClassName = exports.SkeletonAvatar = void 0;
var customPropTypes = _interopRequireWildcard(require("@fluentui/react-proptypes"));
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _SkeletonShape = require("./SkeletonShape");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var skeletonAvatarClassName = 'ui-skeleton__avatar';

/**
 * An SkeletonAvatar represents an avatar component that will be loaded
 */
exports.skeletonAvatarClassName = skeletonAvatarClassName;
var SkeletonAvatar = (0, _reactBindings.compose)(_SkeletonShape.SkeletonShape, {
  className: skeletonAvatarClassName,
  displayName: 'SkeletonAvatar',
  overrideStyles: true,
  shorthandConfig: {},
  handledProps: ['size'],
  mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
    var size = _ref.size;
    return {
      size: size
    };
  }
});
exports.SkeletonAvatar = SkeletonAvatar;
SkeletonAvatar.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon(), {
  size: customPropTypes.size
});
SkeletonAvatar.defaultProps = {
  as: 'span',
  size: 'medium'
};
//# sourceMappingURL=SkeletonAvatar.js.map
