"use strict";

exports.__esModule = true;
exports.SplitButtonDividerClassName = exports.SplitButtonDivider = void 0;
var React = _interopRequireWildcard(require("react"));
var PropTypes = _interopRequireWildcard(require("prop-types"));
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var SplitButtonDividerClassName = 'ui-splitButtonDivider';

/**
 * A SplitButtonDivider visually segments content.
 */
exports.SplitButtonDividerClassName = SplitButtonDividerClassName;
var SplitButtonDivider = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var context = (0, _reactBindings.useFluentContext)();
  var _useTelemetry = (0, _reactBindings.useTelemetry)(SplitButtonDivider.displayName, context.telemetry),
    setStart = _useTelemetry.setStart,
    setEnd = _useTelemetry.setEnd;
  setStart();
  var className = props.className,
    design = props.design,
    styles = props.styles,
    variables = props.variables,
    accessibility = props.accessibility;
  var ElementType = (0, _reactBindings.getElementType)(props);
  var primary = props.primary;
  var unhandledProps = (0, _reactBindings.useUnhandledProps)(SplitButtonDivider.handledProps, props);
  var getA11yProps = (0, _reactBindings.useAccessibility)(accessibility, {
    debugName: SplitButtonDivider.displayName,
    rtl: context.rtl
  });
  var _useStyles = (0, _reactBindings.useStyles)(SplitButtonDivider.displayName, {
      className: SplitButtonDividerClassName,
      mapPropsToStyles: function mapPropsToStyles() {
        return {
          primary: primary
        };
      },
      mapPropsToInlineStyles: function mapPropsToInlineStyles() {
        return {
          className: className,
          design: design,
          styles: styles,
          variables: variables
        };
      },
      rtl: context.rtl
    }),
    classes = _useStyles.classes;
  var element = /*#__PURE__*/React.createElement(ElementType, getA11yProps('root', Object.assign({
    className: classes.root,
    ref: ref
  }, unhandledProps)));
  setEnd();
  return element;
});
exports.SplitButtonDivider = SplitButtonDivider;
SplitButtonDivider.displayName = 'SplitButtonDivider';
SplitButtonDivider.propTypes = Object.assign({}, _utils.commonPropTypes.createCommon(), {
  primary: PropTypes.bool
});
SplitButtonDivider.handledProps = Object.keys(SplitButtonDivider.propTypes);
//# sourceMappingURL=SplitButtonDivider.js.map
