"use strict";

exports.__esModule = true;
exports.toolbarMenuItemIconClassName = exports.ToolbarMenuItemIcon = void 0;
var _reactBindings = require("@fluentui/react-bindings");
var _utils = require("../../utils");
var _Box = require("../Box/Box");
var toolbarMenuItemIconClassName = 'ui-toolbar__menuitemicon';

/**
 * A ToolbarMenuItemIcon allows a user to have a dedicated component that can be targeted from the theme.
 */
exports.toolbarMenuItemIconClassName = toolbarMenuItemIconClassName;
var ToolbarMenuItemIcon = (0, _reactBindings.compose)(_Box.Box, {
  className: toolbarMenuItemIconClassName,
  displayName: 'ToolbarMenuItemIcon',
  mapPropsToStylesProps: function mapPropsToStylesProps(props) {
    return {
      hasContent: props.hasContent
    };
  },
  shorthandConfig: {
    mappedProp: 'content'
  },
  handledProps: ['hasContent'],
  overrideStyles: true
});
exports.ToolbarMenuItemIcon = ToolbarMenuItemIcon;
ToolbarMenuItemIcon.defaultProps = {
  as: 'span'
};
ToolbarMenuItemIcon.propTypes = _utils.commonPropTypes.createCommon();
//# sourceMappingURL=ToolbarMenuItemIcon.js.map
