"use strict";

exports.__esModule = true;
exports.attachmentVariables = void 0;
var _utils = require("../../../../utils");
var attachmentVariables = function attachmentVariables(siteVariables) {
  return {
    padding: (0, _utils.pxToRem)(7) + " " + (0, _utils.pxToRem)(3) + " " + (0, _utils.pxToRem)(7) + " " + (0, _utils.pxToRem)(11),
    // padding set to 1px less to account for 1px border
    iconSpace: (0, _utils.pxToRem)(12),
    iconSize: (0, _utils.pxToRem)(32),
    borderColor: siteVariables.colorScheme.default.border3,
    borderRadius: siteVariables.borderRadiusMedium,
    backgroundColor: siteVariables.colorScheme.default.background4,
    backgroundColorHover: siteVariables.colorScheme.default.backgroundHover1,
    textColor: siteVariables.colorScheme.default.foreground,
    textColorHover: siteVariables.colorScheme.default.foregroundHover,
    boxShadow: siteVariables.shadowLevel1,
    focusBackgroundColor: undefined,
    focusColor: undefined,
    progressColor: siteVariables.colorScheme.green.background,
    progressHeight: (0, _utils.pxToRem)(4),
    headerFontSize: siteVariables.fontSizes.medium,
    headerFontWeight: siteVariables.fontWeightSemibold,
    headerLineHeight: siteVariables.lineHeightMedium,
    descriptionFontSize: siteVariables.fontSizes.small,
    descriptionFontWeight: siteVariables.fontWeightRegular,
    descriptionLineHeight: siteVariables.lineHeightDefault,
    // action variables
    actionHeight: (0, _utils.pxToRem)(32),
    actionMaxWidth: (0, _utils.pxToRem)(280),
    actionColor: siteVariables.colorScheme.default.foreground,
    actionPrimaryColor: siteVariables.colorScheme.brand.foreground,
    actionColorDisabled: siteVariables.colorScheme.brand.foregroundDisabled1,
    actionIconSize: (0, _utils.pxToRem)(16),
    actionLoaderBorderSize: (0, _utils.pxToRem)(2),
    actionLoaderSize: (0, _utils.pxToRem)(20),
    actionLoaderSvgHeight: (0, _utils.pxToRem)(20),
    actionLoaderSvgAnimationHeight: (0, _utils.pxToRem)(-1200),
    actionFocusBorderRadius: siteVariables.borderRadiusMedium
  };
};
exports.attachmentVariables = attachmentVariables;
//# sourceMappingURL=attachmentVariables.js.map
