"use strict";

exports.__esModule = true;
exports.chatMessageContentStyles = void 0;
var _utils = require("../../../../utils");
var chatMessageContentStyles = {
  root: function root(componentStyleFunctionParam) {
    var p = componentStyleFunctionParam.props,
      v = componentStyleFunctionParam.variables,
      theme = componentStyleFunctionParam.theme;
    return Object.assign({
      color: v.contentColor,
      display: 'block',
      '& a': {
        outline: 'none',
        color: p.mine ? v.linkColorMine : v.linkColor,
        ':focus': {
          textDecoration: 'underline'
        }
      }
    }, p.layout === 'refresh' && p.density === 'comfy' && Object.assign({
      wordBreak: 'break-word',
      wordWrap: 'break-word',
      '& a': {
        color: 'inherit',
        textDecoration: 'underline',
        wordBreak: 'break-all',
        '&:hover': {
          textDecorationStyle: 'double'
        },
        '&:focus': {
          textDecorationStyle: 'double'
        }
      }
    }, p.failed && {
      color: theme.siteVariables.colorScheme.default.foreground
    }), p.density === 'comfy' && Object.assign({}, p.hasBadge && p.badgePosition === 'end' && {
      marginRight: (0, _utils.pxToRem)(4)
    }));
  }
};
exports.chatMessageContentStyles = chatMessageContentStyles;
//# sourceMappingURL=chatMessageContentStyles.js.map
