"use strict";

exports.__esModule = true;
exports.chatMessageVariables = void 0;
var _utils = require("../../../../utils");
var chatMessageVariables = function chatMessageVariables(siteVars) {
  return {
    actionMenuBoxShadow: siteVars.shadow8,
    actionMenuPositionRight: (0, _utils.pxToRem)(5),
    actionMenuPositionTop: (0, _utils.pxToRem)(-30),
    authorColor: siteVars.colorScheme.default.foreground,
    authorColorMineCompact: siteVars.colorScheme.brand.foreground,
    authorFontWeight: siteVars.fontWeightSemibold,
    authorFontWeightCompact: siteVars.fontWeightSemibold,
    authorMarginRight: (0, _utils.pxToRem)(12),
    authorMarginRightCompact: (0, _utils.pxToRem)(8),
    backgroundColor: siteVars.colorScheme.default.background,
    backgroundColorMine: siteVars.colorScheme.brand.background1,
    badgeShadow: siteVars.shadowLevel1Dark,
    badgeTextColor: siteVars.colorScheme.brand.foreground4,
    border: 'none',
    borderRadius: siteVars.borderRadiusMedium,
    compactBorder: "solid " + siteVars.borderWidth + " transparent",
    compactHoverBackground: siteVars.colorScheme.default.backgroundHover3,
    compactHoverBorder: "solid " + siteVars.borderWidth + " " + siteVars.colorScheme.default.backgroundHover3,
    compactSpacing: (0, _utils.pxToRem)(12),
    contentColor: siteVars.colorScheme.default.foreground,
    hasMention: false,
    hasMentionColor: siteVars.colors.orange[300],
    hasMentionNubbinColor: siteVars.colorScheme.orange.background,
    headerMarginBottom: (0, _utils.pxToRem)(2),
    isImportant: false,
    isImportantColor: siteVars.colorScheme.red.background,
    linkColor: siteVars.colorScheme.brand.foreground1,
    linkColorMine: siteVars.colorScheme.brand.foreground2,
    offset: (0, _utils.pxToRem)(100),
    overlayZIndex: siteVars.zIndexes.overlay,
    padding: (0, _utils.pxToRem)(16),
    paddingCompact: (0, _utils.pxToRem)(3),
    reactionGroupBorderColor: 'transparent',
    reactionGroupMarginLeft: (0, _utils.pxToRem)(12),
    showActionMenu: undefined,
    zIndex: siteVars.zIndexes.foreground,
    hasReducedHorizontalSpace: false
  };
};
exports.chatMessageVariables = chatMessageVariables;
//# sourceMappingURL=chatMessageVariables.js.map
