"use strict";

exports.__esModule = true;
exports.loaderVariables = void 0;
var _utils = require("../../../../utils");
var loaderVariables = function loaderVariables(siteVariables) {
  return {
    containerHeights: {
      smallest: (0, _utils.pxToRem)(24),
      smaller: (0, _utils.pxToRem)(24),
      small: (0, _utils.pxToRem)(24),
      medium: (0, _utils.pxToRem)(36),
      large: (0, _utils.pxToRem)(72),
      larger: (0, _utils.pxToRem)(72),
      largest: (0, _utils.pxToRem)(72)
    },
    containerWidths: {
      smallest: (0, _utils.pxToRem)(24),
      smaller: (0, _utils.pxToRem)(24),
      small: (0, _utils.pxToRem)(24),
      medium: (0, _utils.pxToRem)(36),
      large: (0, _utils.pxToRem)(72),
      larger: (0, _utils.pxToRem)(72),
      largest: (0, _utils.pxToRem)(72)
    },
    svgHeights: {
      smallest: (0, _utils.pxToRem)(24),
      smaller: (0, _utils.pxToRem)(24),
      small: (0, _utils.pxToRem)(24),
      medium: (0, _utils.pxToRem)(36),
      large: (0, _utils.pxToRem)(72),
      larger: (0, _utils.pxToRem)(72),
      largest: (0, _utils.pxToRem)(72)
    },
    svgTranslatePosition: {
      smallest: (0, _utils.pxToRem)(-1440),
      smaller: (0, _utils.pxToRem)(-1440),
      small: (0, _utils.pxToRem)(-1440),
      medium: (0, _utils.pxToRem)(-2160),
      large: (0, _utils.pxToRem)(-4320),
      larger: (0, _utils.pxToRem)(-4320),
      largest: (0, _utils.pxToRem)(-4320)
    },
    svgWidths: {
      smallest: (0, _utils.pxToRem)(24),
      smaller: (0, _utils.pxToRem)(24),
      small: (0, _utils.pxToRem)(24),
      medium: (0, _utils.pxToRem)(36),
      large: (0, _utils.pxToRem)(72),
      larger: (0, _utils.pxToRem)(72),
      largest: (0, _utils.pxToRem)(72)
    },
    svgTrackColor: siteVariables.colorScheme.brand.border2,
    svgTailColor: siteVariables.colorScheme.brand.foreground,
    svgSecondaryColor: siteVariables.colorScheme.default.foreground3
  };
};
exports.loaderVariables = loaderVariables;
//# sourceMappingURL=loaderVariables.js.map
