"use strict";

exports.__esModule = true;
exports.svgIconVariables = exports.iconColorAreas = void 0;
var _utils = require("../../../../utils");
var _colorUtils = require("../../../colorUtils");
var iconColorAreas = (0, _utils.stringLiteralsArray)('foreground');
exports.iconColorAreas = iconColorAreas;
var svgIconVariables = function svgIconVariables(siteVars) {
  return {
    colorScheme: (0, _colorUtils.pickValuesFromColorScheme)(siteVars.colorScheme, iconColorAreas),
    color: undefined,
    borderColor: undefined,
    backgroundColor: undefined,
    brandColor: siteVars.brandColor,
    secondaryColor: siteVars.colors.white,
    redColor: siteVars.colors.red[400],
    disabledColor: siteVars.colors.grey[250],
    smallestSize: (0, _utils.pxToRem)(7),
    smallerSize: (0, _utils.pxToRem)(10),
    smallSize: (0, _utils.pxToRem)(12),
    mediumSize: (0, _utils.pxToRem)(16),
    largeSize: (0, _utils.pxToRem)(20),
    largerSize: (0, _utils.pxToRem)(32),
    largestSize: (0, _utils.pxToRem)(40),
    horizontalSpace: (0, _utils.pxToRem)(10)
  };
};
exports.svgIconVariables = svgIconVariables;
//# sourceMappingURL=svgIconVariables.js.map
