"use strict";

exports.__esModule = true;
exports.DEFAULT_LOCALIZED_STRINGS = exports.DEFAULT_DATE_FORMATTING = exports.DEFAULT_CALENDAR_STRINGS = void 0;
var _formatDay = require("./formatDay");
var _formatYear = require("./formatYear");
var _formatMonthDayYear = require("./formatMonthDayYear");
var _formatMonthYear = require("./formatMonthYear");
var DEFAULT_LOCALIZED_STRINGS = {
  months: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
  shortMonths: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
  days: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
  shortDays: ['S', 'M', 'T', 'W', 'T', 'F', 'S']
};
exports.DEFAULT_LOCALIZED_STRINGS = DEFAULT_LOCALIZED_STRINGS;
var DEFAULT_DATE_FORMATTING = Object.assign({
  formatDay: _formatDay.formatDay,
  formatYear: _formatYear.formatYear,
  formatMonthDayYear: _formatMonthDayYear.formatMonthDayYear,
  formatMonthYear: _formatMonthYear.formatMonthYear,
  parseDate: function parseDate(dateStr) {
    var date = Date.parse(dateStr);
    if (date) {
      return new Date(date);
    }
    return null;
  }
}, DEFAULT_LOCALIZED_STRINGS);
exports.DEFAULT_DATE_FORMATTING = DEFAULT_DATE_FORMATTING;
var DEFAULT_CALENDAR_STRINGS = Object.assign({}, DEFAULT_DATE_FORMATTING, {
  openCalendarTitle: 'Open calendar',
  inputPlaceholder: 'Select a date...',
  weekNumberFormatString: 'Week number {0}',
  prevMonthAriaLabel: 'Previous month',
  nextMonthAriaLabel: 'Next month',
  prevYearAriaLabel: 'Previous year',
  nextYearAriaLabel: 'Next year',
  prevYearRangeAriaLabel: 'Previous year range',
  nextYearRangeAriaLabel: 'Next year range',
  closeButtonAriaLabel: 'Close',
  selectedDateFormatString: 'Selected date {0}',
  todayDateFormatString: "Today's date {0}",
  monthPickerHeaderAriaLabel: '{0}, select to change the year',
  yearPickerHeaderAriaLabel: '{0}, select to change the month',
  isRequiredErrorMessage: 'A date selection is required',
  invalidInputErrorMessage: 'Manually entered date is not in correct format.',
  isOutOfBoundsErrorMessage: 'The selected date is from the restricted range.',
  inputAriaLabel: 'Select a date.',
  inputBoundedFormatString: 'Input a date between {0} and {1}.',
  inputMinBoundedFormatString: 'Input a date starting from {0}.',
  inputMaxBoundedFormatString: 'Input a date ending at {0}.'
});
exports.DEFAULT_CALENDAR_STRINGS = DEFAULT_CALENDAR_STRINGS;
//# sourceMappingURL=dateFormatting.defaults.js.map
