"use strict";

exports.__esModule = true;
exports.shouldPreventDefaultOnKeyDown = shouldPreventDefaultOnKeyDown;
var _accessibility = require("@fluentui/accessibility");
/**
 * Checks if `preventDefault()` should be called for a passed keyboard event.
 */
function shouldPreventDefaultOnKeyDown(e) {
  var code = (0, _accessibility.getCode)(e);
  var target = e.target;
  var matchesByKey = code === _accessibility.SpacebarKey || code === _accessibility.EnterKey;
  if ((target == null ? void 0 : target.tagName) === 'A') {
    return code === _accessibility.SpacebarKey;
  }
  var ignoredByTag = (target == null ? void 0 : target.tagName) === 'INPUT' || (target == null ? void 0 : target.tagName) === 'TEXTAREA' || (target == null ? void 0 : target.isContentEditable) === true;
  return matchesByKey && !ignoredByTag;
}
//# sourceMappingURL=shouldPreventDefaultOnKeyDown.js.map
