import { Accessibility } from '@fluentui/accessibility';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { UIComponentProps, ChildrenComponentProps, ContentComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
import { AvatarSizeValue } from './Avatar';
export interface AvatarLabelProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
    /** The AvatarLabel can have a square shape. */
    square?: boolean;
    /** The AvatarLabel can be circular. */
    circular?: boolean;
    /** Size multiplier. */
    size?: AvatarSizeValue;
}
export declare type AvatarLabelStylesProps = Pick<AvatarLabelProps, 'size' | 'square' | 'circular'>;
export declare const avatarlabelClassName = "ui-label";
/**
 * A AvatarLabel allows user to classify content.
 */
export declare const AvatarLabel: (<TExtendedElementType extends React.ElementType<any> = "span">(props: React.RefAttributes<HTMLSpanElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof AvatarLabelProps> & {
    as?: TExtendedElementType;
} & AvatarLabelProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<AvatarLabelProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<AvatarLabelProps & {
        as: "span";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLSpanElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "key" | keyof React.HTMLAttributes<HTMLSpanElement>> & {
        ref?: React.Ref<HTMLSpanElement>;
    }, "as" | keyof AvatarLabelProps> & {
        as?: "span";
    } & AvatarLabelProps;
} & FluentComponentStaticProps<AvatarLabelProps>;
