import { UIComponentProps, ContentComponentProps, ChildrenComponentProps } from '../../utils';
import { Accessibility, BreadcrumbItemBehaviorProps } from '@fluentui/accessibility';
import { BreadcrumbSizeValues } from './breadcrumbContext';
export interface BreadcrumbItemProps extends UIComponentProps<BreadcrumbItemProps>, ContentComponentProps, ChildrenComponentProps {
    /** Accessibility behavior if overridden by the user. */
    accessibility?: Accessibility<BreadcrumbItemBehaviorProps>;
    /** The Breadcrumb Link can be disabled. */
    disabled?: boolean;
    /** Indicates if the link is the active. */
    active?: boolean;
}
export declare type BreadcrumbItemStylesProps = Required<Pick<BreadcrumbItemProps, 'active' | 'disabled'>> & {
    size: BreadcrumbSizeValues;
};
export declare const breadcrumbItemClassName = "ui-breadcrumb__item";
/**
 * BreadcrumbItem an actionable item within a Breadcrumb
 */
export declare const BreadcrumbItem: import("@fluentui/react-bindings").ComponentWithAs<"div", BreadcrumbItemProps>;
