import { Accessibility } from '@fluentui/accessibility';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { FluentComponentStaticProps } from '../../types';
import { ChildrenComponentProps, UIComponentProps } from '../../utils';
export interface CardPreviewProps extends UIComponentProps, ChildrenComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
    /** If preview is in horizontal card. */
    horizontal?: boolean;
    /** A preview can be fitted, without any space above or below it. */
    fitted?: boolean;
}
export declare type CardPreviewStylesProps = Pick<CardPreviewProps, 'horizontal' | 'fitted'>;
export declare const cardPreviewClassName = "ui-card__preview";
/**
 * A CardPreview is used to display data Card preview.
 */
export declare const CardPreview: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof CardPreviewProps> & {
    as?: TExtendedElementType;
} & CardPreviewProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<CardPreviewProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<CardPreviewProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof CardPreviewProps> & {
        as?: "div";
    } & CardPreviewProps;
} & FluentComponentStaticProps<CardPreviewProps>;
