import * as React from 'react';
import { UIComponentProps, ContentComponentProps, ChildrenComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
import { Accessibility } from '@fluentui/accessibility';
export interface CarouselPaddlesContainerProps extends UIComponentProps, ContentComponentProps, ChildrenComponentProps {
    /** Accessibility behavior if overridden by the user. */
    accessibility?: Accessibility<never>;
}
export declare type CarouselPaddlesContainerStylesProps = never;
export declare const carouselPaddlesContainerClassName = "ui-carrouselpaddles_container";
/**
 * A CarouselPaddlesContainer is a container for the Carousel Paddles.
 */
export declare const CarouselPaddlesContainer: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof CarouselPaddlesContainerProps> & {
    as?: TExtendedElementType;
} & CarouselPaddlesContainerProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<CarouselPaddlesContainerProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<CarouselPaddlesContainerProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof CarouselPaddlesContainerProps> & {
        as?: "div";
    } & CarouselPaddlesContainerProps;
} & FluentComponentStaticProps<CarouselPaddlesContainerProps>;
