import { BoxProps } from '../Box/Box';
import { ChatMessageLayout, ChatMessageProps } from './ChatMessage';
export interface ChatMessageContentOwnProps extends Pick<ChatMessageProps, 'badgePosition' | 'density' | 'failed' | 'mine' | 'unstable_layout'> {
    /** Indicates whether parent ChatMessage has badge. */
    hasBadge?: boolean;
}
export interface ChatMessageContentProps extends ChatMessageContentOwnProps, BoxProps {
}
export declare type ChatMessageContentStylesProps = Required<Pick<ChatMessageContentOwnProps, 'badgePosition' | 'density' | 'failed' | 'hasBadge' | 'mine'>> & {
    layout: ChatMessageLayout;
};
export declare const chatMessageContentClassName = "ui-chat__messagecontent";
/**
 * A ChatMessageContent provides a slot for content in the ChatMessage.
 */
export declare const ChatMessageContent: import("@fluentui/react-bindings").ComponentWithAs<"div", ChatMessageContentOwnProps & BoxProps>;
