import { BoxProps } from '../Box/Box';
import { ChatDensity } from './chatDensity';
export interface ChatMessageDetailsOwnProps {
    /** Controls messages's relation to other chat messages. */
    attached?: boolean | 'top' | 'bottom';
    /** Chat density. */
    density?: ChatDensity;
    /** Whether the message displays reactions in the header */
    hasHeaderReactionGroup?: boolean;
    mine?: boolean;
}
export interface ChatMessageDetailsProps extends ChatMessageDetailsOwnProps, BoxProps {
}
export declare type ChatMessageDetailsStylesProps = Required<Pick<ChatMessageDetailsOwnProps, 'attached' | 'density' | 'hasHeaderReactionGroup' | 'mine'>>;
export declare const chatMessageDetailsClassName = "ui-chat__messagedetails";
/**
 * A ChatMessageDetails provides a slot for details in the ChatMessage.
 */
export declare const ChatMessageDetails: import("@fluentui/react-bindings").ComponentWithAs<"div", ChatMessageDetailsOwnProps & BoxProps>;
