import { ContextSelector } from '@fluentui/react-bindings';
import { Accessibility } from '@fluentui/accessibility';
import { ChatDensity } from './chatDensity';
export declare type ChatContextValue = {
    density: ChatDensity;
    behaviors: {
        item: Accessibility;
        message: Accessibility;
    };
};
export declare type ChatContextSubscribedValue = {
    density: ChatDensity;
    accessibility: Accessibility;
};
declare type ChatSelectorProperties = keyof ChatContextSubscribedValue;
export declare const ChatContextProvider: import("react").Provider<ChatContextValue> & import("react").FC<import("react").ProviderProps<ChatContextValue>>;
export declare const useChatContextSelectors: <Selectors extends Record<keyof ChatContextSubscribedValue, ContextSelector<ChatContextValue, any>>>(selectors: Selectors) => Record<ChatSelectorProperties, any>;
export {};
