import { Accessibility, DatepickerCalendarCellBehaviorProps } from '@fluentui/accessibility';
import { ContentComponentProps, UIComponentProps } from '../../utils';
export interface DatepickerCalendarCellProps extends UIComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<DatepickerCalendarCellBehaviorProps>;
    /** A cell can show that it cannot be interacted with. */
    disabled?: boolean;
    /** A cell can show that it is currently selected or not. */
    selected?: boolean;
    /** Denotes that the cell marks today's date. */
    today?: boolean;
    /** A cell can show that it currently has dimmed styles. */
    quiet?: boolean;
}
export declare type DatepickerCalendarCellStylesProps = Pick<DatepickerCalendarCellProps, 'disabled' | 'selected' | 'quiet' | 'today'>;
export declare const datepickerCalendarCellClassName = "ui-datepicker__calendarcell";
/**
 * A Datepicker cell is used to display calendar grid cells.
 */
export declare const DatepickerCalendarCell: import("@fluentui/react-bindings").ComponentWithAs<"td", DatepickerCalendarCellProps>;
