import { Accessibility, FormFieldBehaviorProps } from '@fluentui/accessibility';
import { UIComponentProps } from '../../../utils';
import { ShorthandValue } from '../../../types';
import { BoxProps } from '../../Box/Box';
import { FormLabelProps } from '../FormLabel';
import { FormMessageProps } from '../FormMessage';
export interface FormFieldBaseProps extends UIComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<FormFieldBehaviorProps>;
    /** A field can have its label next to instead of above it. */
    inline?: boolean;
    /** A control for the form field. */
    control?: ShorthandValue<BoxProps>;
    /** A label for the form field. */
    label?: ShorthandValue<FormLabelProps>;
    /** Text message that will be displayed below the control (can be used for error, warning, success messages). */
    message?: ShorthandValue<FormMessageProps>;
    /** Message to be shown when input has error */
    errorMessage?: ShorthandValue<FormMessageProps>;
}
export declare const formFieldBaseClassName = "ui-form__field__base";
export declare type FormFieldBaseStylesProps = never;
/**
 * A FormFiedBase represents a Form element containing a label and an input.
 */
export declare const _FormFieldBase: import("@fluentui/react-bindings").ComponentWithAs<"div", FormFieldBaseProps>;
