import { Accessibility, MenuDividerBehaviorProps } from '@fluentui/accessibility';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { UIComponentProps, ChildrenComponentProps, ContentComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
export interface MenuDividerProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /** Accessibility behavior if overridden by the user. */
    accessibility?: Accessibility<MenuDividerBehaviorProps>;
    inSubmenu?: boolean;
    secondary?: boolean;
    pills?: boolean;
    pointing?: boolean | 'start' | 'end';
    primary?: boolean;
    vertical?: boolean;
}
export declare type MenuDividerStylesProps = Required<Pick<MenuDividerProps, 'vertical' | 'inSubmenu' | 'pills' | 'primary' | 'pointing' | 'secondary'>> & {
    hasContent: boolean;
};
export declare const menuDividerClassName = "ui-menu__divider";
/**
 * A MenuDivider is non-actionable element that visually segments items of Menu.
 */
export declare const MenuDivider: (<TExtendedElementType extends React.ElementType<any> = "li">(props: React.RefAttributes<HTMLLIElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof MenuDividerProps> & {
    as?: TExtendedElementType;
} & MenuDividerProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<MenuDividerProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<MenuDividerProps & {
        as: "li";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLLIElement> & Omit<Pick<React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "key" | keyof React.LiHTMLAttributes<HTMLLIElement>> & {
        ref?: React.Ref<HTMLLIElement>;
    }, "as" | keyof MenuDividerProps> & {
        as?: "li";
    } & MenuDividerProps;
} & FluentComponentStaticProps<MenuDividerProps>;
