import * as React from 'react';
import { ChildrenComponentProps } from '../../utils';
export interface PortalInnerProps extends ChildrenComponentProps {
    /** Existing element the portal should be bound to. */
    mountNode?: HTMLElement;
    /**
     * Called when the portal is mounted on the DOM
     *
     * @param data - All props.
     */
    onMount?: (props: PortalInnerProps) => void;
    /**
     * Called when the portal is unmounted from the DOM
     *
     * @param data - All props.
     */
    onUnmount?: (props: PortalInnerProps) => void;
}
/**
 * A PortalInner is a container for Portal's content.
 */
export declare const PortalInner: React.FC<PortalInnerProps>;
