import { SizeValue } from '../../utils';
import { SkeletonShapeProps } from './SkeletonShape';
export interface SkeletonButtonOwnProps {
    /** A skeleton button can be sized. */
    size?: SizeValue;
    /** A skeleton button can fill the width of its container. */
    fluid?: boolean;
    /** A skeleton button can appear circular. */
    circular?: boolean;
    /** A skeleton button can contain only an icon. */
    iconOnly?: boolean;
}
export interface SkeletonButtonProps extends SkeletonButtonOwnProps, SkeletonShapeProps {
}
export declare type SkeletonButtonStylesProps = Required<Pick<SkeletonButtonOwnProps, 'size' | 'fluid' | 'circular' | 'iconOnly'>>;
export declare const skeletonButtonClassName = "ui-skeleton__button";
/**
 * An SkeletonButton represents a buton component that will be loaded
 */
export declare const SkeletonButton: import("@fluentui/react-bindings").ComponentWithAs<"span", SkeletonButtonOwnProps & SkeletonShapeProps>;
