import { Accessibility, GridRowBehaviorProps } from '@fluentui/accessibility';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { FluentComponentStaticProps, ShorthandCollection } from '../../types';
import { UIComponentProps } from '../../utils';
import { TableCellProps } from './TableCell';
export interface TableRowProps extends UIComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     * */
    accessibility?: Accessibility<GridRowBehaviorProps>;
    /**
     * Row cells
     */
    items?: ShorthandCollection<TableCellProps>;
    /**
     * Is the row a table header
     */
    header?: boolean;
    /**
     * Render table in compact mode
     */
    compact?: boolean;
    /**
     * Whether a row is currently selected or not.
     */
    selected?: boolean;
}
export declare const tableRowClassName = "ui-table__row";
export declare type TableRowStylesProps = Pick<TableRowProps, 'header' | 'compact'>;
/**
 * Component represents a single row in a tabular structure
 */
export declare const TableRow: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof TableRowProps> & {
    as?: TExtendedElementType;
} & TableRowProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<TableRowProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<TableRowProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof TableRowProps> & {
        as?: "div";
    } & TableRowProps;
} & FluentComponentStaticProps<TableRowProps>;
