import { Accessibility, ToolbarMenuDividerBehaviorProps } from '@fluentui/accessibility';
import { ComponentWithAs } from '@fluentui/react-bindings';
import { ChildrenComponentProps, ContentComponentProps, UIComponentProps } from '../../utils';
export interface ToolbarMenuDividerProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<ToolbarMenuDividerBehaviorProps>;
}
export declare type ToolbarMenuDividerStylesProps = never;
export declare const toolbarMenuDividerClassName = "ui-toolbar__menudivider";
/**
 * A ToolbarMenuDivider adds non-actionable separator between items of ToolbarMenu.
 */
export declare const ToolbarMenuDivider: ComponentWithAs<"li", ToolbarMenuDividerProps>;
