import { Accessibility, ToolbarMenuRadioGroupBehaviorProps } from '@fluentui/accessibility';
import { ChildrenComponentProps, ContentComponentProps, UIComponentProps } from '../../utils';
import { ComponentEventHandler, ShorthandCollection, ShorthandValue } from '../../types';
import { ToolbarMenuItemProps } from './ToolbarMenuItem';
import { ToolbarMenuRadioGroupWrapperProps } from './ToolbarMenuRadioGroupWrapper';
export interface ToolbarMenuRadioGroupProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<ToolbarMenuRadioGroupBehaviorProps>;
    /** Index of the currently active item. */
    activeIndex?: number;
    /** Shorthand array of props for ToolbarMenuRadioGroup. */
    items?: ShorthandCollection<ToolbarMenuItemProps>;
    /**
     * Called on item click.
     *
     * @param event - React's original SyntheticEvent.
     * @param data - All item props.
     */
    onItemClick?: ComponentEventHandler<ToolbarMenuItemProps>;
    /** Shorthand for the wrapper component. */
    wrapper?: ShorthandValue<ToolbarMenuRadioGroupWrapperProps>;
}
export declare type ToolbarMenuRadioGroupStylesProps = never;
export declare const toolbarMenuRadioGroupClassName = "ui-toolbars";
/**
 * A ToolbarMenuRadioGroup renders ToolbarMenuItem as a group of mutually exclusive options.
 */
export declare const ToolbarMenuRadioGroup: import("@fluentui/react-bindings").ComponentWithAs<"ul", ToolbarMenuRadioGroupProps>;
