import { ItemType } from '../../../../themes/types';
import { TeamsSchemeMappingWithAreas } from '../../types';
export declare const textColorAreas: "foreground"[];
export declare type TextColorSchemeMapping = TeamsSchemeMappingWithAreas<ItemType<typeof textColorAreas>>;
export interface TextVariables {
    colorScheme: TextColorSchemeMapping;
    importantColor: string;
    timestampColor: string;
    disabledColor: string;
    errorColor: string;
    successColor: string;
    fontSizeSmallest: string;
    fontSizeSmaller: string;
    fontSizeSmall: string;
    fontSizeMedium: string;
    fontSizeLarge: string;
    fontSizeLarger: string;
    fontSizeLargest: string;
    fontLineHeightSmallest: number;
    fontLineHeightSmaller: number;
    fontLineHeightSmall: number;
    fontLineHeightMedium: number;
    fontLineHeightLarge: number;
    fontLineHeightLarger: number;
    fontLineHeightLargest: number;
    fontWeightLight: number;
    fontWeightSemilight: number;
    fontWeightRegular: number;
    fontWeightSemibold: number;
    fontWeightBold: number;
    atMentionMeColor: string;
    atMentionOtherColor: string;
    atMentionMeFontWeight: number;
    importantWeight: number;
}
export declare const textVariables: (siteVariables: any) => TextVariables;
