import { ItemType } from '../../../types';
import { TeamsSchemeMappingWithAreas } from '../../types';
export declare const toolbarColorAreas: ("background" | "border" | "foregroundHover" | "backgroundHover" | "foregroundActive" | "foreground1" | "foregroundDisabled1" | "menuItemForegroundHover" | "menuItemBackgroundHover")[];
export declare type ToolbarColorSchemeMapping = TeamsSchemeMappingWithAreas<ItemType<typeof toolbarColorAreas>>;
export interface ToolbarVariables {
    colorScheme: ToolbarColorSchemeMapping;
    foreground: string;
    background: string;
    dividerBorder: string;
    foregroundHover: string;
    backgroundHover: string;
    foregroundActive: string;
    backgroundActive: string;
    foregroundDisabled: string;
    backgroundDisabled: string;
    itemHeight: string;
    itemPadding: string;
    borderWidth: string;
    borderRadius: string;
    dividerMargin: string;
    menuMaxWidth: string;
    menuPadding: string;
    menuBackground: string;
    menuBorder: string;
    menuBorderWidth: string;
    menuBorderRadius: string;
    menuBoxShadow: string;
    menuItemForeground: string;
    menuItemForegroundHover: string;
    menuItemBackgroundHover: string;
    menuItemForegroundDisabled: string;
    menuItemBackgroundDisabled: string;
    menuItemPadding: string;
    menuDividerBorder: string;
    menuDividerMargin: string;
    customItemHorizontalPadding: string;
    customItemVerticalPadding: string;
    overlayZIndex: number;
    lineHeightBase: string;
}
export declare const toolbarVariables: (siteVars: any) => ToolbarVariables;
