import { TextAreaStylesProps } from './../../components/TextArea/TextArea';
import { ColorScheme, ColorSchemeMapping, ColorVariants, StrictColorScheme, StrictColorSchemeMapping, PrimitiveColors } from '../types';
import { AccordionContentStylesProps } from '../../components/Accordion/AccordionContent';
import { AccordionStylesProps } from '../../components/Accordion/Accordion';
import { AccordionTitleStylesProps } from '../../components/Accordion/AccordionTitle';
import { CarouselNavigationItemStylesProps } from '../../components/Carousel/CarouselNavigationItem';
import { AlertStylesProps } from '../../components/Alert/Alert';
import { AnimationProps } from '../../components/Animation/Animation';
import { AttachmentProps } from '../../components/Attachment/Attachment';
import { AttachmentActionStylesProps } from '../../components/Attachment/AttachmentAction';
import { AttachmentDescriptionStylesProps } from '../../components/Attachment/AttachmentDescription';
import { AttachmentHeaderStylesProps } from '../../components/Attachment/AttachmentHeader';
import { AttachmentIconStylesProps } from '../../components/Attachment/AttachmentIcon';
import { AvatarStylesProps } from '../../components/Avatar/Avatar';
import { AvatarImageStylesProps } from '../../components/Avatar/AvatarImage';
import { AvatarStatusStylesProps } from '../../components/Avatar/AvatarStatus';
import { AvatarStatusIconStylesProps } from '../../components/Avatar/AvatarStatusIcon';
import { AvatarStatusImageStylesProps } from '../../components/Avatar/AvatarStatusImage';
import { BoxStylesProps } from '../../components/Box/Box';
import { ButtonGroupProps } from '../../components/Button/ButtonGroup';
import { ButtonStylesProps } from '../../components/Button/Button';
import { ButtonContentStylesProps } from '../../components/Button/ButtonContent';
import { ChatItemStylesProps } from '../../components/Chat/ChatItem';
import { ChatMessageStylesProps } from '../../components/Chat/ChatMessage';
import { ChatMessageContentStylesProps } from '../../components/Chat/ChatMessageContent';
import { ChatMessageDetailsStylesProps } from '../../components/Chat/ChatMessageDetails';
import { ChatMessageHeaderStylesProps } from '../../components/Chat/ChatMessageHeader';
import { ChatMessageReadStatusStylesProps } from '../../components/Chat/ChatMessageReadStatus';
import { ChatStylesProps } from '../../components/Chat/Chat';
import { CheckboxStylesProps } from '../../components/Checkbox/Checkbox';
import { DividerStylesProps } from '../../components/Divider/Divider';
import { DividerContentStylesProps } from '../../components/Divider/DividerContent';
import { DialogProps } from '../../components/Dialog/Dialog';
import { DropdownProps } from '../../components/Dropdown/Dropdown';
import { DropdownSearchInputStylesProps } from '../../components/Dropdown/DropdownSearchInput';
import { DropdownSelectedItemStylesProps } from '../../components/Dropdown/DropdownSelectedItem';
import { EmbedStylesProps } from '../../components/Embed/Embed';
import { FlexItemStylesProps } from '../../components/Flex/FlexItem';
import { FlexStylesProps } from '../../components/Flex/Flex';
import { FormStylesProps } from '../../components/Form/Form';
import { FormFieldStylesProps } from '../../components/Form/FormField';
import { FormLabelStylesProps } from '../../components/Form/FormLabel';
import { FormMessageStylesProps } from '../../components/Form/FormMessage';
import { GridStylesProps } from '../../components/Grid/Grid';
import { HeaderDescriptionStylesProps } from '../../components/Header/HeaderDescription';
import { HeaderStylesProps } from '../../components/Header/Header';
import { ImageStylesProps } from '../../components/Image/Image';
import { InputStylesProps } from '../../components/Input/Input';
import { ItemLayoutProps } from '../../components/ItemLayout/ItemLayout';
import { LabelStylesProps } from '../../components/Label/Label';
import { LayoutProps } from '../../components/Layout/Layout';
import { ListStylesProps } from '../../components/List/List';
import { ListItemStylesProps } from '../../components/List/ListItem';
import { LoaderStylesProps } from '../../components/Loader/Loader';
import { MenuItemStylesProps } from '../../components/Menu/MenuItem';
import { MenuItemIconStylesProps } from '../../components/Menu/MenuItemIcon';
import { MenuItemIndicatorStylesProps } from '../../components/Menu/MenuItemIndicator';
import { MenuItemContentStylesProps } from '../../components/Menu/MenuItemContent';
import { MenuItemWrapperStylesProps } from '../../components/Menu/MenuItemWrapper';
import { MenuStylesProps } from '../../components/Menu/Menu';
import { MenuDividerStylesProps } from '../../components/Menu/MenuDivider';
import { PopupContentStylesProps } from '../../components/Popup/PopupContent';
import { PortalProps } from '../../components/Portal/Portal';
import { RadioGroupItemStylesProps } from '../../components/RadioGroup/RadioGroupItem';
import { RadioGroupProps } from '../../components/RadioGroup/RadioGroup';
import { ReactionStylesProps } from '../../components/Reaction/Reaction';
import { ReactionGroupStylesProps } from '../../components/Reaction/ReactionGroup';
import { SegmentStylesProps } from '../../components/Segment/Segment';
import { SliderStylesProps } from '../../components/Slider/Slider';
import { StatusStylesProps } from '../../components/Status/Status';
import { TextStylesProps } from '../../components/Text/Text';
import { ToolbarDividerStylesProps } from '../../components/Toolbar/ToolbarDivider';
import { ToolbarItemStylesProps } from '../../components/Toolbar/ToolbarItem';
import { ToolbarCustomItemStylesProps } from '../../components/Toolbar/ToolbarCustomItem';
import { ToolbarMenuItemStylesProps } from '../../components/Toolbar/ToolbarMenuItem';
import { ToolbarMenuItemContentStylesProps } from '../../components/Toolbar/ToolbarMenuItemContent';
import { ToolbarMenuDividerStylesProps } from '../../components/Toolbar/ToolbarMenuDivider';
import { ToolbarMenuRadioGroupStylesProps } from '../../components/Toolbar/ToolbarMenuRadioGroup';
import { ToolbarMenuStylesProps } from '../../components/Toolbar/ToolbarMenu';
import { ToolbarStylesProps } from '../../components/Toolbar/Toolbar';
import { ToolbarRadioGroupStylesProps } from '../../components/Toolbar/ToolbarRadioGroup';
import { TooltipContentStylesProps } from '../../components/Tooltip/TooltipContent';
import { VideoStylesProps } from '../../components/Video/Video';
import { TreeItemStylesProps } from '../../components/Tree/TreeItem';
import { TreeTitleStylesProps } from '../../components/Tree/TreeTitle';
import { TableStylesProps } from '../../components/Table/Table';
import { TableRowStylesProps } from '../../components/Table/TableRow';
import { TableCellStylesProps } from '../../components/Table/TableCell';
import { CardStylesProps } from '../../components/Card/Card';
import { CardPreviewStylesProps } from '../../components/Card/CardPreview';
import { CardTopControlsStylesProps } from '../../components/Card/CardTopControls';
import { CardHeaderStylesProps } from '../../components/Card/CardHeader';
import { CardBodyStylesProps } from '../../components/Card/CardBody';
import { CardFooterStylesProps } from '../../components/Card/CardFooter';
import { CardExpandableBoxStylesProps } from '../../components/Card/CardExpandableBox';
import { SvgIconStylesProps } from '../../components/SvgIcon/SvgIcon';
import { SplitButtonStylesProps } from '../../components/SplitButton/SplitButton';
import { CarouselNavigationStylesProps } from '../../components/Carousel/CarouselNavigation';
import { CarouselItemStylesProps } from '../../components/Carousel/CarouselItem';
import { CarouselStylesProps } from '../../components/Carousel/Carousel';
import { SkeletonStylesProps } from '../../components/Skeleton/Skeleton';
import { SkeletonTextStylesProps } from '../../components/Skeleton/SkeletonText';
import { SkeletonShapeStylesProps } from '../../components/Skeleton/SkeletonShape';
import { SkeletonLineStylesProps } from '../../components/Skeleton/SkeletonLine';
import { SkeletonAvatarStylesProps } from '../../components/Skeleton/SkeletonAvatar';
import { SkeletonInputStylesProps } from '../../components/Skeleton/SkeletonInput';
import { SplitButtonToggleStylesProps } from '../../components/SplitButton/SplitButtonToggle';
import { AttachmentBodyStylesProps } from '../../components/Attachment/AttachmentBody';
import { PillStylesProps } from '../../components/Pill/Pill';
import { PillContentStylesProps } from '../../components/Pill/PillContent';
import { PillGroupStylesProps } from '../../components/Pill/PillGroup';
import { PillImageStylesProps } from '../../components/Pill/PillImage';
import { PillIconStylesProps } from '../../components/Pill/PillIcon';
export declare type TeamsThemeStylesProps = {
    Accordion: AccordionStylesProps;
    AccordionContent: AccordionContentStylesProps;
    AccordionTitle: AccordionTitleStylesProps;
    Alert: AlertStylesProps;
    Animation: AnimationProps;
    Attachment: AttachmentProps;
    AttachmentAction: AttachmentActionStylesProps;
    AttachmentBody: AttachmentBodyStylesProps;
    AttachmentDescription: AttachmentDescriptionStylesProps;
    AttachmentHeader: AttachmentHeaderStylesProps;
    AttachmentIcon: AttachmentIconStylesProps;
    Avatar: AvatarStylesProps;
    AvatarImage: AvatarImageStylesProps;
    AvatarStatus: AvatarStatusStylesProps;
    AvatarStatusIcon: AvatarStatusIconStylesProps;
    AvatarStatusImage: AvatarStatusImageStylesProps;
    Button: ButtonStylesProps;
    Box: BoxStylesProps;
    ButtonContent: ButtonContentStylesProps;
    ButtonGroup: ButtonGroupProps;
    Carousel: CarouselStylesProps;
    CarouselItem: CarouselItemStylesProps;
    Chat: ChatStylesProps;
    ChatItem: ChatItemStylesProps;
    ChatMessage: ChatMessageStylesProps;
    ChatMessageContent: ChatMessageContentStylesProps;
    ChatMessageDetails: ChatMessageDetailsStylesProps;
    ChatMessageHeader: ChatMessageHeaderStylesProps;
    ChatMessageReadStatus: ChatMessageReadStatusStylesProps;
    CarouselNavigation: CarouselNavigationStylesProps;
    Checkbox: CheckboxStylesProps;
    Divider: DividerStylesProps;
    DividerContent: DividerContentStylesProps;
    Dialog: DialogProps;
    Dropdown: DropdownProps;
    DropdownSearchInput: DropdownSearchInputStylesProps;
    DropdownSelectedItem: DropdownSelectedItemStylesProps;
    Embed: EmbedStylesProps;
    Flex: FlexStylesProps;
    FlexItem: FlexItemStylesProps;
    Form: FormStylesProps;
    FormField: FormFieldStylesProps;
    FormLabel: FormLabelStylesProps;
    FormMessage: FormMessageStylesProps;
    Grid: GridStylesProps;
    Header: HeaderStylesProps;
    HeaderDescription: HeaderDescriptionStylesProps;
    SvgIcon: SvgIconStylesProps;
    Image: ImageStylesProps;
    Input: InputStylesProps;
    ItemLayout: ItemLayoutProps;
    Label: LabelStylesProps;
    Layout: LayoutProps;
    List: ListStylesProps;
    ListItem: ListItemStylesProps;
    Loader: LoaderStylesProps;
    Menu: MenuStylesProps;
    MenuItem: MenuItemStylesProps;
    MenuItemIcon: MenuItemIconStylesProps;
    MenuItemIndicator: MenuItemIndicatorStylesProps;
    MenuItemContent: MenuItemContentStylesProps;
    MenuItemWrapper: MenuItemWrapperStylesProps;
    MenuDivider: MenuDividerStylesProps;
    Pill: PillStylesProps;
    PillGroup: PillGroupStylesProps;
    PillContent: PillContentStylesProps;
    PillIcon: PillIconStylesProps;
    PillImage: PillImageStylesProps;
    Portal: PortalProps;
    PopupContent: PopupContentStylesProps;
    RadioGroup: RadioGroupProps;
    RadioGroupItem: RadioGroupItemStylesProps;
    Reaction: ReactionStylesProps;
    ReactionGroup: ReactionGroupStylesProps;
    Segment: SegmentStylesProps;
    Slider: SliderStylesProps;
    Skeleton: SkeletonStylesProps;
    SkeletonLine: SkeletonLineStylesProps;
    SkeletonShape: SkeletonShapeStylesProps;
    SkeletonAvatar: SkeletonAvatarStylesProps;
    SkeletonInput: SkeletonInputStylesProps;
    SkeletonText: SkeletonTextStylesProps;
    SplitButton: SplitButtonStylesProps;
    SplitButtonToggle: SplitButtonToggleStylesProps;
    Status: StatusStylesProps;
    Toolbar: ToolbarStylesProps;
    ToolbarCustomItem: ToolbarCustomItemStylesProps;
    ToolbarItem: ToolbarItemStylesProps;
    ToolbarDivider: ToolbarDividerStylesProps;
    ToolbarRadioGroup: ToolbarRadioGroupStylesProps;
    ToolbarMenu: ToolbarMenuStylesProps;
    ToolbarMenuItem: ToolbarMenuItemStylesProps;
    ToolbarMenuItemContent: ToolbarMenuItemContentStylesProps;
    ToolbarMenuDivider: ToolbarMenuDividerStylesProps;
    ToolbarMenuRadioGroup: ToolbarMenuRadioGroupStylesProps;
    TooltipContent: TooltipContentStylesProps;
    Text: TextStylesProps;
    TextArea: TextAreaStylesProps;
    TreeItem: TreeItemStylesProps;
    TreeTitle: TreeTitleStylesProps;
    Video: VideoStylesProps;
    Table: TableStylesProps;
    TableRow: TableRowStylesProps;
    TableCell: TableCellStylesProps;
    Card: CardStylesProps;
    CardPreview: CardPreviewStylesProps;
    CardTopControls: CardTopControlsStylesProps;
    CardHeader: CardHeaderStylesProps;
    CardBody: CardBodyStylesProps;
    CardFooter: CardFooterStylesProps;
    CardExpandableBox: CardExpandableBoxStylesProps;
    CarouselNavigationItem: CarouselNavigationItemStylesProps;
};
export declare type TeamsContextualColors = {
    brand: ColorVariants;
};
export declare type TeamsNaturalColors = {
    grey: ColorVariants;
    green: ColorVariants;
    orange: ColorVariants;
    red: ColorVariants;
    yellow: ColorVariants;
    pink: ColorVariants;
};
export declare type TeamsTransparentColors = {
    silver: ColorVariants;
    ruby: ColorVariants;
    onyx: ColorVariants;
    amethyst: ColorVariants;
};
export declare type TeamsCategoryColors = {
    redDark: ColorVariants;
    red: ColorVariants;
    orangeDark: ColorVariants;
    orange: ColorVariants;
    orangeLight: ColorVariants;
    yellowDark: ColorVariants;
    yellow: ColorVariants;
    brown: ColorVariants;
    oliveDark: ColorVariants;
    olive: ColorVariants;
    greenDark: ColorVariants;
    green: ColorVariants;
    tealDark: ColorVariants;
    teal: ColorVariants;
    tealLight: ColorVariants;
    blueDark: ColorVariants;
    blue: ColorVariants;
    purpleDark: ColorVariants;
    purple: ColorVariants;
    maroon: ColorVariants;
    pink: ColorVariants;
    smokeDark: ColorVariants;
    smokeLight: ColorVariants;
    steelDark: ColorVariants;
    steelLight: ColorVariants;
    neon: ColorVariants;
};
export declare type TeamsCategoryColorNames = keyof TeamsCategoryColors;
export declare type TeamsCategoryColorSchemeMapping = ColorSchemeMapping<Partial<ColorScheme>, TeamsCategoryColorNames>;
export declare type TeamsColorNames = keyof (TeamsContextualColors & TeamsNaturalColors & PrimitiveColors & TeamsTransparentColors);
export declare type TeamsSchemeMappingWithAreas<TAreas extends string> = StrictColorSchemeMapping<StrictColorScheme<TAreas>, TeamsColorNames>;
