/**
 * Generic method for dispatching an event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param eventType - A DOMString
 * @param data - Additional event data.
 * @returns The event
 */
export declare const fire: (node: Element | string, eventType: string, data?: any) => void;
/**
 * Dispatch a 'click' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const click: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'keydown' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const keyDown: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'mouseenter' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const mouseEnter: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'mouseleave' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const mouseLeave: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'mouseover' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const mouseOver: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'mouseup' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const mouseUp: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'resize' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const resize: (node: Element | string, data?: any) => void;
/**
 * Dispatch a 'scroll' event on a DOM node.
 * @param node - A querySelector string or DOM node.
 * @param data - Additional event data.
 * @returns The event
 */
export declare const scroll: (node: Element | string, data?: any) => void;
