import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var attachmentDescriptionClassName = 'ui-attachment__description';

/**
 * A AttachmentDescription provides more detailed information about the Attachment.
 */
export var AttachmentDescription = /*#__PURE__*/function () {
  var AttachmentDescription = compose(Box, {
    className: attachmentDescriptionClassName,
    displayName: 'AttachmentDescription',
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  AttachmentDescription.defaultProps = {
    as: 'span'
  };
  AttachmentDescription.propTypes = commonPropTypes.createCommon();
  return AttachmentDescription;
}();
//# sourceMappingURL=AttachmentDescription.js.map
