import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var attachmentIconClassName = 'ui-attachment__icon';

/**
 * An AttachmentIcon provides a slot for a glyph that describes content in the Attachment.
 */
export var AttachmentIcon = /*#__PURE__*/function () {
  var AttachmentIcon = compose(Box, {
    className: attachmentIconClassName,
    displayName: 'AttachmentIcon',
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  AttachmentIcon.defaultProps = {
    as: 'span'
  };
  AttachmentIcon.propTypes = commonPropTypes.createCommon();
  return AttachmentIcon;
}();
//# sourceMappingURL=AttachmentIcon.js.map
