import * as React from 'react';
import * as PropTypes from 'prop-types';
import { UIComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
import { Accessibility } from '@fluentui/accessibility';
import { AvatarSizeValue } from './Avatar';
export interface AvatarStatusIconProps extends UIComponentProps {
    /** Accessibility behavior if overridden by the user. */
    accessibility?: Accessibility<never>;
    /** The pre-defined state values which can be consumed directly. */
    state?: 'success' | 'info' | 'warning' | 'error' | 'unknown';
    /** Size multiplier */
    size?: AvatarSizeValue;
}
export declare type AvatarStatusIconStylesProps = Required<Pick<AvatarStatusIconProps, 'size' | 'state'>>;
export declare const avatarStatusIconClassName = "ui-avatar__statusicon";
/**
 * A AvatarStatusIcon provides a status icon for the Avatar.
 */
export declare const AvatarStatusIcon: (<TExtendedElementType extends React.ElementType<any> = "span">(props: React.RefAttributes<HTMLSpanElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof AvatarStatusIconProps> & {
    as?: TExtendedElementType;
} & AvatarStatusIconProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<AvatarStatusIconProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<AvatarStatusIconProps & {
        as: "span";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLSpanElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "key" | keyof React.HTMLAttributes<HTMLSpanElement>> & {
        ref?: React.Ref<HTMLSpanElement>;
    }, "as" | keyof AvatarStatusIconProps> & {
        as?: "span";
    } & AvatarStatusIconProps;
} & FluentComponentStaticProps<{}>;
