import { UIComponentProps, ContentComponentProps, ChildrenComponentProps } from '../../utils';
import { Accessibility } from '@fluentui/accessibility';
import { BreadcrumbSizeValues } from './breadcrumbContext';
export interface BreadcrumbLinkProps extends UIComponentProps<BreadcrumbLinkProps>, ContentComponentProps, ChildrenComponentProps {
    /** Accessibility behavior if overridden by the user. */
    accessibility?: Accessibility<never>;
}
export declare type BreadcrumbLinkStylesProps = {
    size: BreadcrumbSizeValues;
};
export declare const breadcrumbLinkClassName = "ui-breadcrumb__link";
/**
 * An BreadcrumbLink represents a anchor to be used inside the Breadcrumb
 */
export declare const BreadcrumbLink: import("@fluentui/react-bindings").ComponentWithAs<"a", BreadcrumbLinkProps>;
