import * as React from 'react';
import { FluentComponentStaticProps } from '../../types';
import { Accessibility } from '@fluentui/accessibility';
import { UIComponentProps, ChildrenComponentProps } from '../../utils';
export interface CardColumnProps extends UIComponentProps, ChildrenComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
}
export declare type CardColumnStylesProps = never;
export declare const cardColumnClassName = "ui-card__column";
/**
 * A CardColumn is used to display content in card as column
 */
export declare const CardColumn: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof CardColumnProps> & {
    as?: TExtendedElementType;
} & CardColumnProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<CardColumnProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<CardColumnProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof CardColumnProps> & {
        as?: "div";
    } & CardColumnProps;
} & FluentComponentStaticProps<CardColumnProps>;
