import { Accessibility } from '@fluentui/accessibility';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { FluentComponentStaticProps } from '../../types';
import { ChildrenComponentProps, UIComponentProps } from '../../utils';
export interface CardHeaderProps extends UIComponentProps, ChildrenComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
    /** A footer can be fitted, without any space above or below it. */
    fitted?: boolean;
}
export declare type CardHeaderStylesProps = Pick<CardHeaderProps, 'fitted'>;
export declare const cardHeaderClassName = "ui-card__header";
/**
 * A CardHeader is used to display data in Card header.
 */
export declare const CardHeader: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof CardHeaderProps> & {
    as?: TExtendedElementType;
} & CardHeaderProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<CardHeaderProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: PropTypes.ValidationMap<any>;
    defaultProps?: Partial<CardHeaderProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof CardHeaderProps> & {
        as?: "div";
    } & CardHeaderProps;
} & FluentComponentStaticProps<CardHeaderProps>;
