import { Accessibility } from '@fluentui/accessibility';
import * as React from 'react';
import { FluentComponentStaticProps } from '../../types';
import { ChildrenComponentProps, UIComponentProps } from '../../utils';
export interface CardTopControlsProps extends UIComponentProps, ChildrenComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
}
export declare type CardTopControlsStylesProps = never;
export declare const cardTopControlsClassName = "ui-card__topcontrols";
/**
 * A CardTopControls is used to render control elements in the top of a Card component.
 */
export declare const CardTopControls: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof CardTopControlsProps> & {
    as?: TExtendedElementType;
} & CardTopControlsProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<CardTopControlsProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<CardTopControlsProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof CardTopControlsProps> & {
        as?: "div";
    } & CardTopControlsProps;
} & FluentComponentStaticProps<CardTopControlsProps>;
