import { compose } from '@fluentui/react-bindings';
import * as PropTypes from 'prop-types';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var chatMessageContentClassName = 'ui-chat__messagecontent';

/**
 * A ChatMessageContent provides a slot for content in the ChatMessage.
 */
export var ChatMessageContent = /*#__PURE__*/function () {
  var ChatMessageContent = compose(Box, {
    className: chatMessageContentClassName,
    displayName: 'ChatMessageContent',
    handledProps: ['badgePosition', 'density', 'failed', 'hasBadge', 'mine', 'unstable_layout'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var badgePosition = _ref.badgePosition,
        density = _ref.density,
        failed = _ref.failed,
        hasBadge = _ref.hasBadge,
        mine = _ref.mine,
        unstable_layout = _ref.unstable_layout;
      return {
        badgePosition: badgePosition,
        density: density,
        failed: failed,
        hasBadge: hasBadge,
        layout: unstable_layout,
        mine: mine
      };
    },
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  ChatMessageContent.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    badgePosition: PropTypes.oneOf(['start', 'end']),
    density: PropTypes.oneOf(['comfy', 'compact']),
    failed: PropTypes.bool,
    hasBadge: PropTypes.bool,
    mine: PropTypes.bool,
    unstable_layout: PropTypes.oneOf(['default', 'refresh'])
  });
  return ChatMessageContent;
}();
//# sourceMappingURL=ChatMessageContent.js.map
