import { compose } from '@fluentui/react-bindings';
import * as PropTypes from 'prop-types';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var chatMessageDetailsClassName = 'ui-chat__messagedetails';

/**
 * A ChatMessageDetails provides a slot for details in the ChatMessage.
 */
export var ChatMessageDetails = /*#__PURE__*/function () {
  var ChatMessageDetails = compose(Box, {
    className: chatMessageDetailsClassName,
    displayName: 'ChatMessageDetails',
    handledProps: ['attached', 'density', 'hasHeaderReactionGroup', 'mine'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var attached = _ref.attached,
        density = _ref.density,
        hasHeaderReactionGroup = _ref.hasHeaderReactionGroup,
        mine = _ref.mine;
      return {
        attached: attached,
        density: density,
        hasHeaderReactionGroup: hasHeaderReactionGroup,
        mine: mine
      };
    },
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  ChatMessageDetails.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    attached: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(['top', 'bottom'])]),
    density: PropTypes.oneOf(['comfy', 'compact']),
    hasHeaderReactionGroup: PropTypes.bool,
    mine: PropTypes.bool
  });
  return ChatMessageDetails;
}();
//# sourceMappingURL=ChatMessageDetails.js.map
