import { compose } from '@fluentui/react-bindings';
import * as PropTypes from 'prop-types';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var chatMessageReadStatusClassName = "ui-chat__messagereadstatus";

/**
 * A ChatMessageReadStatus places a indicator to represent the read status of the message
 */
export var ChatMessageReadStatus = /*#__PURE__*/function () {
  var ChatMessageReadStatus = compose(Box, {
    className: chatMessageReadStatusClassName,
    displayName: 'ChatMessageReadStatus',
    handledProps: ['density'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var density = _ref.density,
        title = _ref.title;
      return {
        density: density,
        title: title
      };
    },
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  ChatMessageReadStatus.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    density: PropTypes.oneOf(['comfy', 'compact'])
  });
  return ChatMessageReadStatus;
}();
//# sourceMappingURL=ChatMessageReadStatus.js.map
