import * as PropTypes from 'prop-types';
import * as React from 'react';
import { FiberNavigator } from './FiberNavigator';
export declare type DebugProps = {
    /** Existing document the popup should add listeners. */
    mountDocument?: Document;
};
export declare type DebugState = {
    debugPanelPosition?: 'left' | 'right';
    fiberNav: FiberNavigator;
    selectedFiberNav: FiberNavigator;
    isSelecting: boolean;
};
export declare class Debug extends React.Component<DebugProps, DebugState> {
    state: DebugState;
    static defaultProps: {
        mountDocument: Document;
    };
    static propTypes: {
        mountDocument: PropTypes.Validator<object>;
    };
    constructor(p: any, s: any);
    debugReactComponent: (r: any) => void;
    debugDOMNode: (domNode: any) => void;
    handleKeyDown: (e: any) => void;
    handleMouseMove: (e: any) => void;
    handleDOMNodeClick: (e: any) => void;
    startSelecting: () => void;
    stopSelecting: () => void;
    selectFiber: (selectedFiberNav: any) => void;
    changeFiber: (fiberNav: any) => void;
    positionRight: () => void;
    positionLeft: () => void;
    close: () => void;
    render(): JSX.Element;
}
