import * as React from 'react';
import { UIComponentProps, ChildrenComponentProps, ContentComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
import { Accessibility } from '@fluentui/accessibility';
export interface DialogFooterProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<never>;
}
export declare const dialogFooterClassName = "ui-dialog__footer";
export declare type DialogFooterStylesProps = never;
/**
 * A DialogFooter represents footer content in Dialog, usually shows dialog actions.
 */
export declare const DialogFooter: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof DialogFooterProps> & {
    as?: TExtendedElementType;
} & DialogFooterProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<DialogFooterProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<DialogFooterProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof DialogFooterProps> & {
        as?: "div";
    } & DialogFooterProps;
} & FluentComponentStaticProps<DialogFooterProps>;
