import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Dropdown } from '../Dropdown/Dropdown';
import { _FormFieldBase } from './utils/formFieldBase';
export var formDropdownClassName = 'ui-form__dropdown';

/**
 * An FormDropdown renders a Dropdown wrapped by FormField.
 */
export var FormDropdown = /*#__PURE__*/function () {
  var FormDropdown = compose(_FormFieldBase, {
    className: formDropdownClassName,
    displayName: 'FormDropdown',
    overrideStyles: true,
    slots: {
      control: Dropdown
    },
    slotProps: function slotProps(_ref) {
      var errorMessage = _ref.errorMessage,
        inline = _ref.inline;
      return {
        control: {
          inline: inline
        },
        message: {
          error: !!errorMessage
        }
      };
    }
  });
  FormDropdown.propTypes = commonPropTypes.createCommon({
    accessibility: false,
    children: false,
    content: false
  });
  return FormDropdown;
}();
//# sourceMappingURL=FormDropdown.js.map
