import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var formLabelClassName = 'ui-form__label';

/**
 * An FormLabel provides a slot for label in the FormField.
 */
export var FormLabel = /*#__PURE__*/function () {
  var FormLabel = compose(Box, {
    className: formLabelClassName,
    displayName: 'FormLabel',
    overrideStyles: true,
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var inline = _ref.inline,
        required = _ref.required;
      return {
        inline: inline,
        required: required
      };
    },
    handledProps: ['required', 'inline']
  });
  FormLabel.defaultProps = {
    as: 'label'
  };
  FormLabel.propTypes = commonPropTypes.createCommon();
  return FormLabel;
}();
//# sourceMappingURL=FormLabel.js.map
