import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var formMessageClassName = 'ui-form__message';

/**
 * An FormMessage provides a slot for message in the FormField.
 */
export var FormMessage = /*#__PURE__*/function () {
  var FormMessage = compose(Box, {
    className: formMessageClassName,
    displayName: 'FormMessage',
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var error = _ref.error;
      return {
        error: error
      };
    },
    handledProps: ['error'],
    overrideStyles: true,
    shorthandConfig: {
      mappedProp: 'content'
    }
  });
  FormMessage.defaultProps = {
    as: 'span'
  };
  FormMessage.propTypes = commonPropTypes.createCommon();
  return FormMessage;
}();
//# sourceMappingURL=FormMessage.js.map
