import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { _FormFieldBase } from './utils/formFieldBase';
import { RadioGroup } from '../RadioGroup/RadioGroup';
export var formRadioGroupClassName = 'ui-forms';

/**
 * An FormRadioGroup renders a RadioGroup wrapped by FormField.
 */
export var FormRadioGroup = /*#__PURE__*/function () {
  var FormRadioGroup = compose(_FormFieldBase, {
    className: formRadioGroupClassName,
    displayName: 'FormRadioGroup',
    overrideStyles: true,
    slots: {
      control: RadioGroup
    },
    slotProps: function slotProps(_ref) {
      var errorMessage = _ref.errorMessage;
      return {
        message: {
          error: !!errorMessage
        }
      };
    }
  });
  FormRadioGroup.propTypes = commonPropTypes.createCommon({
    children: false,
    content: false
  });
  return FormRadioGroup;
}();
//# sourceMappingURL=FormRadioGroup.js.map
