import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { _FormFieldBase } from './utils/formFieldBase';
import { Slider } from '../Slider/Slider';
export var formSliderClassName = 'ui-form__slider';

/**
 * An FormSlider renders a Slider wrapped by FormField.
 */
export var FormSlider = /*#__PURE__*/function () {
  var FormSlider = compose(_FormFieldBase, {
    className: formSliderClassName,
    displayName: 'FormSlider',
    overrideStyles: true,
    slots: {
      control: Slider
    },
    slotProps: function slotProps(_ref) {
      var errorMessage = _ref.errorMessage;
      return {
        message: {
          error: !!errorMessage
        }
      };
    }
  });
  FormSlider.propTypes = commonPropTypes.createCommon({
    children: false,
    content: false
  });
  return FormSlider;
}();
//# sourceMappingURL=FormSlider.js.map
