import * as React from 'react';
import { Accessibility, PillActionBehaviorProps } from '@fluentui/accessibility';
import { UIComponentProps, ChildrenComponentProps, ContentComponentProps, SizeValue } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
export interface PillActionProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<PillActionBehaviorProps>;
    /**
     * A Pill can be sized.
     */
    size?: Extract<SizeValue, 'smaller' | 'small' | 'medium'>;
}
export declare type PillActionStylesProps = Required<Pick<PillActionProps, 'size'>>;
export declare const pillActionClassName = "ui-pill__action";
/**
 * A PillAction allows user to execute an action.
 */
export declare const PillAction: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof PillActionProps> & {
    as?: TExtendedElementType;
} & PillActionProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<PillActionProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<PillActionProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof PillActionProps> & {
        as?: "div";
    } & PillActionProps;
} & FluentComponentStaticProps<PillActionProps>;
