import * as React from 'react';
import { Accessibility, PillGroupBehaviorProps } from '@fluentui/accessibility';
import { UIComponentProps, ChildrenComponentProps, ContentComponentProps } from '../../utils';
import { FluentComponentStaticProps } from '../../types';
export interface PillGroupProps extends UIComponentProps, ChildrenComponentProps, ContentComponentProps {
    /**
     * Accessibility behavior if overridden by the user.
     */
    accessibility?: Accessibility<PillGroupBehaviorProps>;
}
export declare type PillGroupStylesProps = never;
export declare const pillGroupClassName = "ui-pills";
/**
 * A PillGroup can be used as container for Pill.
 */
export declare const PillGroup: (<TExtendedElementType extends React.ElementType<any> = "div">(props: React.RefAttributes<HTMLDivElement> & Omit<import("@fluentui/react-bindings").PropsOfElement<TExtendedElementType>, "as" | keyof PillGroupProps> & {
    as?: TExtendedElementType;
} & PillGroupProps) => JSX.Element) & {
    propTypes?: React.WeakValidationMap<PillGroupProps> & {
        as: React.Requireable<string | ((props: any, context?: any) => any) | (new (props: any, context?: any) => any)>;
    };
    contextTypes?: import("prop-types").ValidationMap<any>;
    defaultProps?: Partial<PillGroupProps & {
        as: "div";
    }>;
    displayName?: string;
    readonly __PRIVATE_PROPS?: React.RefAttributes<HTMLDivElement> & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & {
        ref?: React.Ref<HTMLDivElement>;
    }, "as" | keyof PillGroupProps> & {
        as?: "div";
    } & PillGroupProps;
} & FluentComponentStaticProps<PillGroupProps>;
