import { ComponentWithAs, StylesContextPerformanceInput, Telemetry } from '@fluentui/react-bindings';
import { ThemeInput } from '@fluentui/styles';
import * as React from 'react';
import { ChildrenComponentProps, UIComponentProps } from '../../utils';
import { ProviderConsumer } from './ProviderConsumer';
export interface ProviderProps extends ChildrenComponentProps, UIComponentProps {
    rtl?: boolean;
    disableAnimations?: boolean;
    performance?: StylesContextPerformanceInput;
    overwrite?: boolean;
    target?: Document;
    theme?: ThemeInput;
    telemetryRef?: React.MutableRefObject<Telemetry>;
}
export declare const providerClassName = "ui-provider";
/**
 * The Provider passes the CSS-in-JS renderer, theme styles and other settings to Fluent UI components.
 */
export declare const Provider: ComponentWithAs<'div', ProviderProps> & {
    Consumer: typeof ProviderConsumer;
    handledProps: (keyof ProviderProps)[];
};
