import { ThemePrepared } from '@fluentui/styles';
import * as React from 'react';
export interface ProviderConsumerProps {
    /**
     * Uses the function children pattern to access theme.
     * `theme.siteVariables` contains the siteVariables passed from the nearest Provider.
     */
    render: (theme: ThemePrepared) => React.ReactNode;
}
/**
 * A ProviderConsumer is used to consume Fluent UI context from Provider.
 */
export declare const ProviderConsumer: React.FunctionComponent<ProviderConsumerProps>;
