import * as customPropTypes from '@fluentui/react-proptypes';
import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { SkeletonShape } from './SkeletonShape';
export var skeletonAvatarClassName = 'ui-skeleton__avatar';

/**
 * An SkeletonAvatar represents an avatar component that will be loaded
 */
export var SkeletonAvatar = /*#__PURE__*/function () {
  var SkeletonAvatar = compose(SkeletonShape, {
    className: skeletonAvatarClassName,
    displayName: 'SkeletonAvatar',
    overrideStyles: true,
    shorthandConfig: {},
    handledProps: ['size'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var size = _ref.size;
      return {
        size: size
      };
    }
  });
  SkeletonAvatar.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    size: customPropTypes.size
  });
  SkeletonAvatar.defaultProps = {
    as: 'span',
    size: 'medium'
  };
  return SkeletonAvatar;
}();
//# sourceMappingURL=SkeletonAvatar.js.map
