import * as PropTypes from 'prop-types';
import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { SkeletonShape } from './SkeletonShape';
export var skeletonInputClassName = 'ui-skeleton__input';

/**
 * An SkeletonInput represents a input component that will be loaded
 */
export var SkeletonInput = /*#__PURE__*/function () {
  var SkeletonInput = compose(SkeletonShape, {
    className: skeletonInputClassName,
    displayName: 'SkeletonInput',
    overrideStyles: true,
    shorthandConfig: {},
    handledProps: ['fluid'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var fluid = _ref.fluid;
      return {
        fluid: fluid
      };
    }
  });
  SkeletonInput.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    fluid: PropTypes.bool
  });
  SkeletonInput.defaultProps = {
    as: 'span'
  };
  return SkeletonInput;
}();
//# sourceMappingURL=SkeletonInput.js.map
