import * as customPropTypes from '@fluentui/react-proptypes';
import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { SkeletonLine } from './SkeletonLine';
export var skeletonTextClassName = 'ui-skeleton__text';

/**
 * An SkeletonText represents a text component that will be loaded
 */
export var SkeletonText = /*#__PURE__*/function () {
  var SkeletonText = compose(SkeletonLine, {
    className: skeletonTextClassName,
    displayName: 'SkeletonText',
    overrideStyles: true,
    shorthandConfig: {},
    handledProps: ['size'],
    mapPropsToStylesProps: function mapPropsToStylesProps(_ref) {
      var size = _ref.size;
      return {
        size: size
      };
    }
  });
  SkeletonText.propTypes = Object.assign({}, commonPropTypes.createCommon(), {
    size: customPropTypes.size
  });
  SkeletonText.defaultProps = {
    as: 'span',
    size: 'medium'
  };
  return SkeletonText;
}();
//# sourceMappingURL=SkeletonText.js.map
