import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var toolbarMenuItemContentClassName = 'ui-toolbar__menuitemcontent';

/**
 * A ToolbarMenuItemContent allows a user to have a dedicated component that can be targeted from the theme.
 */
export var ToolbarMenuItemContent = /*#__PURE__*/function () {
  var ToolbarMenuItemContent = compose(Box, {
    className: toolbarMenuItemContentClassName,
    displayName: 'ToolbarMenuItemContent',
    shorthandConfig: {
      mappedProp: 'content'
    },
    overrideStyles: true
  });
  ToolbarMenuItemContent.defaultProps = {
    as: 'span'
  };
  ToolbarMenuItemContent.propTypes = commonPropTypes.createCommon();
  return ToolbarMenuItemContent;
}();
//# sourceMappingURL=ToolbarMenuItemContent.js.map
