import { compose } from '@fluentui/react-bindings';
import { commonPropTypes } from '../../utils';
import { Box } from '../Box/Box';
export var toolbarMenuItemIconClassName = 'ui-toolbar__menuitemicon';

/**
 * A ToolbarMenuItemIcon allows a user to have a dedicated component that can be targeted from the theme.
 */
export var ToolbarMenuItemIcon = /*#__PURE__*/function () {
  var ToolbarMenuItemIcon = compose(Box, {
    className: toolbarMenuItemIconClassName,
    displayName: 'ToolbarMenuItemIcon',
    mapPropsToStylesProps: function mapPropsToStylesProps(props) {
      return {
        hasContent: props.hasContent
      };
    },
    shorthandConfig: {
      mappedProp: 'content'
    },
    handledProps: ['hasContent'],
    overrideStyles: true
  });
  ToolbarMenuItemIcon.defaultProps = {
    as: 'span'
  };
  ToolbarMenuItemIcon.propTypes = commonPropTypes.createCommon();
  return ToolbarMenuItemIcon;
}();
//# sourceMappingURL=ToolbarMenuItemIcon.js.map
