import { StrictColorScheme, ItemType } from '../../../types';
import { MenuVariables, menuColorAreas } from './menuVariables';
import { MenuItemStylesProps } from '../../../../components/Menu/MenuItem';
import { ComponentSlotStylesPrepared, ICSSInJSStyle } from '@fluentui/styles';
export declare const verticalPillsBottomMargin: string;
export declare const horizontalPillsRightMargin: string;
export declare const verticalPointingBottomMargin: string;
export declare const underlinedItem: (color: string) => ICSSInJSStyle;
export declare const getFocusedStyles: ({ props, variables: v, colors, }: {
    props: Pick<MenuItemStylesProps, 'primary' | 'underlined' | 'active' | 'vertical'>;
    variables: MenuVariables;
    colors: StrictColorScheme<ItemType<typeof menuColorAreas>>;
}) => ICSSInJSStyle;
export declare const pointingBeak: ({ props, variables: v, colors, }: {
    props: Pick<MenuItemStylesProps, 'pointing' | 'primary'>;
    variables: MenuVariables;
    colors: StrictColorScheme<ItemType<typeof menuColorAreas>>;
}) => ICSSInJSStyle;
export declare const menuItemStyles: ComponentSlotStylesPrepared<MenuItemStylesProps, MenuVariables>;
