import _pick from "lodash/pick";
import { createComponentInternal } from './createComponentInternal';
export var createComponent = function createComponent(_ref) {
  var displayName = _ref.displayName,
    className = _ref.className,
    _render = _ref.render,
    defaultProps = _ref.defaultProps,
    actionHandlers = _ref.actionHandlers;
  return createComponentInternal({
    displayName: displayName,
    className: className,
    render: function render(config, props) {
      var filteredConfig = _pick(config, ['accessibility', 'classes', 'rtl', 'styles']);
      return _render(Object.assign({
        config: filteredConfig
      }, props));
    },
    defaultProps: defaultProps,
    actionHandlers: actionHandlers
  });
};
//# sourceMappingURL=createComponent.js.map
